## debian-installer 20250810+kaisen1

=== debian/changelog ===
debian-installer (20250810+kaisen1) kaisen-packages; urgency=medium

  * Rebuild to add new changes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 02:40:43 +0200

debian-installer (20250116+kaisen1) kaisen-packages; urgency=medium

  * Rebuild to add new changes
  * Use the 6.12.9 kernel

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 16 Jan 2025 15:21:41 +0200

debian-installer (20240908+kaisen1) kaisen-packages; urgency=medium

  * Rebuild to add new changes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 09 Aug 2024 15:09:14 +0200

debian-installer (202306XX) UNRELEASED; urgency=medium

  [ Cyril Brulebois ]
  * Install trixie, using trixie udebs.
  * Bump Linux kernel ABI to 6.10.3 (Closes: #1071873).
  * Bump (temporary) linux-image build-deps accordingly.
  * Makefile: unversion /boot/vmlinuz-* into /boot/vmlinuz.
  * Makefile: adjust the drm/fb-modules workaround for now-compressed
    modules.

  [ harry88@gmx.ph ]
  * Add support for Orange Pi One Plus (Closes: #980493)

  [ Holger Wansing ]
  * Update minimal RAM size value for amd64, according to lowmem value.
  * d-i i18n guide: remove win32-loader from the manual.

  [ Aurelien Jarno ]
  * Build riscv64 from the official archive.
  * Dot not include debian-ports-archive-keyring-udeb on riscv64.
  * Add a device-tree target for riscv64.
  * Switch the riscv64 netboot flavour to grub.efi.
  * Build a mini.iso in the riscv64 netboot flavour.
  * Update riscv64 netboot package list.
  * Add a cdrom flavour for riscv64.
  * Drop kfreebsd support.

  [ John Paul Adrian Glaubitz ]
  * alpha: Remove $(KERNELVERSION) suffix from KERNELNAME
  * hppa: Rewrite configuration to support sub-architectures
  * m68k: Remove $(KERNELVERSION) suffix from KERNELNAME
  * loong64: Add support for loong64 (Closes: #1057713)

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Colin Watson ]
  * Clarify that partman-auto-recipe.txt is written using BNF.

  [ Helmut Grohne ]
  * extend merge-usr tool to cover base-files functionality

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 Jun 2023 19:42:29 +0200

debian-installer (20240722+kaisen1) kaisen-packages; urgency=medium

  * Rebuild for Linux 6.9.10

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 22 Jul 2024 09:05:02 +0200

debian-installer (20240523+kaisen1) kaisen-packages; urgency=medium

  * Rebuild for Linux 6.8.9
  * Bump the Linux version which required to build this package
  * Remove the debian/compat file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 23 May 2024 14:53:24 +0200

debian-installer (20231112+kaisen1) kaisen-packages; urgency=medium

  * Rebuild for Linux 6.5.8
  * Update localudebs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 12 Nov 2023 16:50:51 +0100

debian-installer (20230815+kaisen1) kaisen-packages; urgency=medium

  * Import Debian changes
  * Rebuild for Linux 6.4.4

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 15 Aug 2023 22:27:56 +0100

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: binary-targets
Standards-Version: 4.3.0
Vcs-Git: https://gitlab.com/kaisenlinux/packages/debian-installer.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/debian-installer
Build-Depends:
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	debian-archive-keyring (>= 2006.11.22),
	kaisen-archive-keyring,
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i partman-doc and internals manual is in DocBook XML 4.x.
	unifont-bin,
#		For hex2bdf used in font building.
	bogl-utils,
#		For bdftobogl used in font reduction.
	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
#		The GCC support library is copied to the to the installation
#		image. This is a hack and needs to be replaced by a proper
#		udeb.
#
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [hurd-i386 hurd-amd64 i386 ia64 loong64 m68k amd64 armhf arm64 riscv64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	pigz,
#		For compressing various files.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
	depthcharge-tools [amd64 arm64],
#		For creating images for ChromeOS devices
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	grub-efi-amd64-bin [hurd-amd64],
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [hurd-i386 i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-loong64-bin [loong64],
	grub-efi-arm-bin [armhf],
	grub-efi-riscv64-bin [riscv64],
	grub-common [amd64 arm64 i386 loong64 riscv64], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2021.04~rc4+dfsg-1~) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.07+dfsg-1~) [armhf],
	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
	systemd-boot-efi [riscv64], systemd-ukify [riscv64],
#		UEFI Unified Kernel Image (UKI) on riscv64 systems
#
# Architecture specific build dependencies:
	tofrodos [i386 amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 loong64 m68k amd64 armhf arm64 riscv64 hurd-i386 hurd-amd64],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
#
	kmod [linux-any],
#		depmod.
#
	unifont [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	grub-pc (>= 2.02~beta2~) [hurd-i386 hurd-amd64],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
#               Used by grub-pc to create the CD-ROM images
	debian-ports-archive-keyring [alpha hppa ia64 loong64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [amd64 arm64 armhf i386 loong64],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for arm64 and armhf systems.
#		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
#		when creating ISO hybrid images on amd64 and i386 systems.
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours
	linux-image-6.12.9-1kaisen-amd64 [amd64],
	linux-image-6.12.9-1kaisen-arm64 [arm64],
#		Ship some more drm modules, without waiting on fb-modules (#1036019)

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Debian Installer documentation
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(firstword $(subst +~, ,$(subst ., ,$(VERSION))))
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=kaisen-rolling
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=kaisen-rolling
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=n
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=0
USE_UDEBS_FROM=kaisen-rolling
USE_PROPOSED_UPDATES=0
endif

# allow these aspects of the build to be overriden (see salsa-ci.yml)
BUILD_TARGETS ?= all_build stats release
ADDITIONAL_BUILD_PRODUCT ?= tarball

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build $(BUILD_TARGETS) \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		PRESEED=$(PRESEED) \
		$(addprefix LINUX_KERNEL_ABI=,$(LINUX_KERNEL_ABI)) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

publish-tarball:
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

publish-miniiso:
	cp ./build/tmp/netboot-gtk/mini.iso ../debian-$(VERSION)-$(ARCH)-gtkmini.iso

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.dbk -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb

	debian/rules publish-$(ADDITIONAL_BUILD_PRODUCT)

binary-indep:

binary: binary-indep binary-arch
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20250826+kali1

=== debian/changelog ===
debian-installer (20250826+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Add fakeroot to Build-Depends:
     - It's used explicitly in various locations so it makes sense to have
       in the first place.
     - Additionally, that seems to have become needed for daily builds
       following commit 234b6db2c041cd605ade7bb7ef9c6f77d4841726 in
       dsa-puppet.git, with setup-dchroot only installing fakeroot for
       bullseye, bookworm, and trixie now. In other words, it's no longer
       installed by default in sid chroots available on porterboxes, where
       daily builds are performed.

  [ Sophie Brun ]
  * Sync with Debian

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Aug 2025 23:59:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: devel
 Priority: optional
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-Vcs-Git: https://gitlab.com/kaisenlinux/packages/debian-installer.git
-Vcs-Browser: https://gitlab.com/kaisenlinux/packages/debian-installer
+XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: https://gitlab.com/kalilinux/packages/debian-installer.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -16,7 +19,7 @@
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
 	debian-archive-keyring (>= 2006.11.22),
-	kaisen-archive-keyring,
+	kali-archive-keyring,
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -32,6 +35,8 @@
 #		For hex2bdf used in font building.
 	bogl-utils,
 #		For bdftobogl used in font reduction.
+	ca-certificates,
+#               To embed CA certificates to verify https connections
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
 #		image. This is a hack and needs to be replaced by a proper
@@ -100,6 +105,12 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
+#	shim-signed [amd64 arm64],
+#	grub-efi-amd64-signed [amd64],
+#	grub-efi-arm64-signed [arm64],
+#	        Signed bootloader components for UEFI Secure Boot
+	shim-unsigned [amd64 arm64],
+	grub-efi-amd64-bin [amd64],
 	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -162,12 +173,13 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.9-1kaisen-amd64 [amd64],
-	linux-image-6.12.9-1kaisen-arm64 [arm64],
+	linux-image-6.12.38+kali-amd64 [amd64],
+	linux-image-6.12.38+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
+	fakeroot,
 
 Package: debian-installer
-Architecture: any
+Architecture: amd64 arm64 armhf
 Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
 Description: Debian Installer documentation

## debian-installer 20251006%2Bkali1

=== debian/changelog ===
debian-installer (20251006+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.16.9+deb14.
  * Adjust linux-image build-deps accordingly.

  [ Pascal Hambourg ]
  * Update doc/devel/partman-auto-recipe.txt. Closes: #1109467

  [ Sophie Brun ]
  * Sync with Debian 
  * Change Linux kernel ABI to 6.16.8+kali + build-deps

 -- Sophie Brun <sophie@kali.org>  Mon, 06 Oct 2025 12:10:46 +0200

## debian-installer 20251006+kali1

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Temporary workaround for #1036019:
export DRM_DIR := /usr/lib/modules/$(KERNELVERSION)/kernel/drivers/gpu/drm
ifndef DRM_MODULES
export DRM_MODULES :=          \
	drm_shmem_helper.ko    \
	drm_ttm_helper.ko      \
	drm_vram_helper.ko     \
	tiny/bochs.ko          \
	tiny/cirrus.ko         \
	ttm/ttm.ko
endif

# Sound support for Intel might be funky and require i915 bits:
export DRIVERS_DIR := /usr/lib/modules/$(KERNELVERSION)/kernel/drivers
ifndef SPEECH_MODULES
export SPEECH_MODULES :=                      \
	gpu/drm/display/drm_display_helper.ko \
	gpu/drm/drm_buddy.ko                  \
	gpu/drm/i915/i915.ko                  \
	media/cec/core/cec.ko                 \
	media/rc/rc-core.ko
endif

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Overridden for some depthcharge images
define xz
  xz -T0 --check=crc32 --block-size=1M
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
endef

define clamp_mtimes
  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
endef

define normalise_permissions
  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
endef

define e2fsck
  e2fsck -fy
endef

define gzip
  pigz -nm
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -p -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -p -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
	# Ensure build results have reproducible mtimes
	@$(clamp_mtimes) $(BASE_DEST)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
	# We have just modified files
	$(clamp_mtimes) $(BASE_DEST)
	$(normalise_permissions) $(BASE_DEST)

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \

=== debian/control ===
--- 
+++ 
@@ -173,8 +173,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.38+kali-amd64 [amd64],
-	linux-image-6.12.38+kali-arm64 [arm64],
+	linux-image-6.16.8+kali-amd64 [amd64],
+	linux-image-6.16.8+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,

=== debian/rules ===
--- 
+++ 
@@ -6,23 +6,43 @@
 SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 
+# Special treatment for kali-dev/kali-rolling/kali-experimental
+ifneq ($(filter kali-rolling kali-dev kali-experimental,$(SUITE)),)
+ifeq ($(SUITE),kali-experimental)  # Enable experimental repo
+USE_KALI_EXPERIMENTAL=1
+endif
+SUITE=kali-rolling
+USE_UDEBS_FROM=kali-rolling
+TRANSSTATUS=
+BOOTMENU_BEEP=y
+else
 # Daily builds vs. uploads to unstable:
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=kaisen-rolling
+USE_UDEBS_FROM=kali-rolling
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=kaisen-rolling
+USE_UDEBS_FROM=trixie
 USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
-BOOTMENU_BEEP=n
+BOOTMENU_BEEP=y
+endif
+endif
+
+PRESEED ?= preseed.cfg
+
+# Don't integrate SSL certs in armel, the size limits will be missed
+ifeq ($(ARCH),armel)
+SSL_CERTS=
+else
+SSL_CERTS=/usr/share/ca-certificates/mozilla/*
 endif
 
 # Adjust for non-released ports if needed:
-RELEASE_ARCHES=amd64 arm64
+RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el riscv64 s390x
 ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
-USE_UNRELEASED=0
-USE_UDEBS_FROM=kaisen-rolling
+USE_UNRELEASED=1
+USE_UDEBS_FROM=unstable
 USE_PROPOSED_UPDATES=0
 endif
 
@@ -37,6 +57,15 @@
 
 export SOURCE_DATE_EPOCH
 
+build/kali-mirror:
+	# Use repo.kali.org when it's accessible, otherwise fallback to
+	# public server
+	if wget -q -O/dev/null http://repo.kali.org/kali; then \
+		echo "http://repo.kali.org/kali" >build/kali-mirror; \
+	else \
+		echo "http://http.kali.org/kali" >build/kali-mirror; \
+	fi
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -46,14 +75,20 @@
 	$(MAKE) -C doc/devel/internals clean
 
 # Must run as root, so is not run as part of regular build.
-build-images:
+build-images: build/kali-mirror
+ifeq ($(SSL_CERTS),)
+	# Drop wget-udeb only needed for SSL certs
+	sed -i -e '/^wget-udeb/ d' build/pkg-lists/base
+endif
 	$(MAKE) -C build $(BUILD_TARGETS) \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		USE_UNRELEASED=$(USE_UNRELEASED) \
+		USE_KALI_EXPERIMENTAL=$(USE_KALI_EXPERIMENTAL) \
 		PRESEED=$(PRESEED) \
 		$(addprefix LINUX_KERNEL_ABI=,$(LINUX_KERNEL_ABI)) \
-		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
+		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP) \
+		SSL_CERTS=$(SSL_CERTS)
 
 publish-tarball:
 	./build/util/gen-tarball debian/tmp ../$(TARNAME)

## debian-installer 20251209+kali1

=== debian/changelog ===
debian-installer (20251209+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Change Linux kernel ABI to 6.17.10+kali + build-deps

 -- Sophie Brun <sophie@kali.org>  Tue, 09 Dec 2025 15:05:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
-Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
@@ -173,10 +172,11 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.16.8+kali-amd64 [amd64],
-	linux-image-6.16.8+kali-arm64 [arm64],
+	linux-image-6.17.10+kali-amd64 [amd64],
+	linux-image-6.17.10+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
+#		For reproducible builds and build/Makefile re executes with it.
 
 Package: debian-installer
 Architecture: amd64 arm64 armhf

=== debian/rules ===
--- 
+++ 
@@ -46,9 +46,15 @@
 USE_PROPOSED_UPDATES=0
 endif
 
-# allow these aspects of the build to be overriden (see salsa-ci.yml)
-BUILD_TARGETS ?= all_build stats release
-ADDITIONAL_BUILD_PRODUCT ?= tarball
+# check profile to see if we're trying to just build a miniiso
+ifneq ($(filter pkg.debian-installer.miniiso,$(DEB_BUILD_PROFILES)),)
+BUILD_TARGETS=build_netboot-gtk
+ADDITIONAL_BUILD_PRODUCT=miniiso
+MINIISONAME=debian-$(VERSION)-$(ARCH)-gtkmini.iso
+else
+BUILD_TARGETS=all_build stats release
+ADDITIONAL_BUILD_PRODUCT=tarball
+endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
@@ -95,7 +101,8 @@
 	dpkg-distaddfile $(TARNAME) raw-installer -
 
 publish-miniiso:
-	cp ./build/tmp/netboot-gtk/mini.iso ../debian-$(VERSION)-$(ARCH)-gtkmini.iso
+	mv ./build/tmp/netboot-gtk/mini.iso ../$(MINIISONAME)
+	dpkg-distaddfile $(MINIISONAME) raw-installer -
 
 build: build-arch build-indep
 build-arch: build-stamp

## debian-installer 20260109%2Bkali5

=== debian/changelog ===
debian-installer (20260109+kali5) kali-dev; urgency=medium

  * Update boot menu background

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 23 Jan 2026 11:49:41 +0100

debian-installer (20260109+kali4) kali-dev; urgency=medium

  * Build for kernel 6.18.5+kali

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 10:44:05 +0100

debian-installer (20260109+kali3) kali-dev; urgency=medium

  * Build for linux 6.18.3+kali+2

 -- Sophie Brun <sophie@kali.org>  Fri, 16 Jan 2026 10:59:46 +0100

debian-installer (20260109+kali2) kali-dev; urgency=medium

  * Fix build on amd64: build failed because of "Too many levels of symbolic
    links"

 -- Sophie Brun <sophie@freexian.com>  Thu, 15 Jan 2026 16:42:40 +0100

debian-installer (20260109+kali1) kali-dev; urgency=medium

  [ Jochen Sprickerhof ]
  * Use fakeroot instead of Rules-Requires-Root: binary-targets, this makes
    the package not FTBFS with debrebuild and on reproduce.debian.net.
  * build/util/gen-tarball: make tarball reproducible.

  [ Simon McVittie ]
  * artwork: Drop the version from the Ceratopsian boot screen, so d-i
    snapshots don't identify themselves as Debian 13.
    Similarly, remove the "11" from the Homeworld artwork for completeness.
    Closes: #1118488

  [ John Paul Adrian Glaubitz ]
  * loong64: Add configuration for cdrom-based gtk installer
  * loong64: Add pkg-list for cdrom-based gtk installer

  [ Alper Nebi Yasak ]
  * Clamp mtimes of files included in mini.iso images
  * Normalise permissions of files included in mini.iso images
  * gen-tarball: Normalise file permissions
  * Set invariant mode, volume ID and label for mkfs.msdos calls
  * Use gen-tarball to generate armhf tarballs
  * Use xorriso to isohybridize x86 mini.iso images
  * Make seagate network-console uInitrd reproducible
  * Set C.UTF-8 locale for bdftobogl calls
  * Use pseudorandom volume ID for FAT filesystems
  * gen-hd-image: Use pseudorandom label IDs
  * Add debian-installer-images tarball to CI reprotest artifacts

  [ Sophie Brun ]
  * Sync with Debian
  * Bump Linux kernel ABI to 6.18.3+kali+1 + build-deps

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Aug 2025 23:59:32 +0200

## debian-installer 20260109+kali2

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,8 @@
 #		count on it remaining so.
 	genisoimage [!s390 !s390x],
 #		For making mini isos.
+    ca-certificates <pkg.debian-installer.miniiso>,
+#       when salsa-CI builds mini-ISOs, we need to verify salsa's cert.
 	genromfs [sparc sparc64],
 #		Used for creating sparc floppies (which are not built by
 #		default.)
@@ -172,8 +174,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.17.10+kali-amd64 [amd64],
-	linux-image-6.17.10+kali-arm64 [arm64],
+	linux-image-6.18.3+kali+1-amd64 [amd64],
+	linux-image-6.18.3+kali+1-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
 #		For reproducible builds and build/Makefile re executes with it.

## debian-installer 20260109+kali3

=== debian/control ===
--- 
+++ 
@@ -174,8 +174,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.18.3+kali+1-amd64 [amd64],
-	linux-image-6.18.3+kali+1-arm64 [arm64],
+	linux-image-6.18.3+kali+2-amd64 [amd64],
+	linux-image-6.18.3+kali+2-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
 #		For reproducible builds and build/Makefile re executes with it.

## debian-installer 20260109+kali5

=== debian/control ===
--- 
+++ 
@@ -174,8 +174,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.18.3+kali+2-amd64 [amd64],
-	linux-image-6.18.3+kali+2-arm64 [arm64],
+	linux-image-6.18.5+kali-amd64 [amd64],
+	linux-image-6.18.5+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
 #		For reproducible builds and build/Makefile re executes with it.

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,9 @@
 BUILD_TARGETS=build_netboot-gtk
 ADDITIONAL_BUILD_PRODUCT=miniiso
 MINIISONAME=debian-$(VERSION)-$(ARCH)-gtkmini.iso
+ifdef APTLY_REPO
+PRESEED=$(CURDIR)/build/tmp/devel_repo_preseed.cfg
+endif
 else
 BUILD_TARGETS=all_build stats release
 ADDITIONAL_BUILD_PRODUCT=tarball
@@ -120,6 +123,15 @@
 	dh_prep
 	dh_installdirs
 
+	# $(PRESEED) is only defined in the pkg.debian-installer.miniiso profile
+	# 
+	# This creates the sources.list file including a salsa-CI aptly repo and
+	# also adds a preseed file to the miniISO that enables the target to access
+	# that repo after the first reboot.
+	[ -z "$(PRESEED)" ] || ./build/util/create_aptly_udeb_local "$(PRESEED)"
+	# It would be better to teach gen-sources.list.udeb to deal with an extra
+	# repo that would be passed into the build via sbuild's --extra-repository
+
 	debian/rules build-images
 
 	install -d $(IMAGEDIR)

## debian-installer 20260109+kali6

=== debian/changelog ===
debian-installer (20260109+kali6) kali-dev; urgency=medium

  * Update boot menu background

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 05 Feb 2026 12:06:37 +0100

## debian-installer 20260212+kali1

=== debian/changelog ===
debian-installer (20260212+kali1) kali-dev; urgency=medium

  * Build for kernel 6.18.9+kali

 -- Sophie Brun <sophie@kali.org>  Thu, 12 Feb 2026 11:51:47 +0100

=== debian/control ===
--- 
+++ 
@@ -163,7 +163,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
 #               Used by grub-pc to create the CD-ROM images
-	debian-ports-archive-keyring [alpha hppa ia64 loong64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -174,8 +174,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.18.5+kali-amd64 [amd64],
-	linux-image-6.18.5+kali-arm64 [arm64],
+	linux-image-6.18.9+kali-amd64 [amd64],
+	linux-image-6.18.9+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
 #		For reproducible builds and build/Makefile re executes with it.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 endif
 
 # Adjust for non-released ports if needed:
-RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el riscv64 s390x
+RELEASE_ARCHES=amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64el riscv64 s390x
 ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
 USE_UNRELEASED=1
 USE_UDEBS_FROM=unstable

## debian-installer 20260226+kali1

=== debian/changelog ===
debian-installer (20260226+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Add fakeroot to Build-Depends:
     - It's used explicitly in various locations so it makes sense to have
       in the first place.
     - Additionally, that seems to have become needed for daily builds
       following commit 234b6db2c041cd605ade7bb7ef9c6f77d4841726 in
       dsa-puppet.git, with setup-dchroot only installing fakeroot for
       bullseye, bookworm, and trixie now. In other words, it's no longer
       installed by default in sid chroots available on porterboxes, where
       daily builds are performed.
  * Bump Linux kernel ABI to 6.18.12+deb14.
  * Adjust linux-image build-deps accordingly.

  [ Pascal Hambourg ]
  * Update doc/devel/partman-auto-recipe.txt. Closes: #1109467

  [ John Paul Adrian Glaubitz ]
  * loong64: Remove DEBIAN_RELEASE override for Debian Ports
  * loong64: Remove KEYRING override for Debian Ports
  * loong64: Remove USE_UNRELEASED override for Debian Ports
  * loong64: Remove debian-ports-archive-keyring-udeb from pkg-lists
  * loong64: Add loong64 to the list of RELEASE_ARCHES
  * loong64: Add netboot flavour using a mini.iso
  * loong64: Remove debian-ports-archive-keyring from Build-Depends
  * riscv64: Remove debian-ports-archive-keyring from Build-Depends
  * loong64: Add initial pkg-list for netboot

  [ Sophie Brun ]
  * Build for kernel 6.18.12+kali

 -- Sophie Brun <sophie@kali.org>  Thu, 26 Feb 2026 11:40:35 +0100

=== debian/control ===
--- 
+++ 
@@ -174,8 +174,8 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.18.9+kali-amd64 [amd64],
-	linux-image-6.18.9+kali-arm64 [arm64],
+	linux-image-6.18.12+kali-amd64 [amd64],
+	linux-image-6.18.12+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 	fakeroot,
 #		For reproducible builds and build/Makefile re executes with it.
